<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quizaccess_edusynch', language 'gl', version '3.11'.
 *
 * @package     quizaccess_edusynch
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['EVENT_CLOSED_WINDOW'] = 'Pechou o navegador ou a lapela ou actualizou a páxina a través do navegador';
$string['EVENT_CLOSED_WINDOW_OR_TAB'] = 'Pechou o navegador ou a lapela ou actualizou a páxina a través do teclado';
$string['EVENT_FINISH_SIMULATION'] = 'O exame completouse correctamente';
$string['EVENT_GAZE_DETECTION'] = 'O usuario apartou a vista da pantalla durante polo menos 3 segundos';
$string['EVENT_MORE_THAN_ONE_CAM'] = 'Detectáronse varias cámaras';
$string['EVENT_MOVE_FOCUS'] = 'O foco desprazouse fora da xanela de probas';
$string['EVENT_MULTIPLE_DISPLAYS_DETECTED'] = 'Detectáronse varias pantallas';
$string['EVENT_MULTIPLE_FACES_DETECTED'] = 'Detectáronse varias persoas na cámara';
$string['EVENT_NEW_TAB_WINDOW'] = 'O usuario tentou abrir novas lapelas e/ou novas xanelas';
$string['EVENT_NO_FACE_DETECTED'] = 'Non se detectou ningún usuario';
$string['EVENT_START_SIMULATION'] = 'O exame foi iniciado';
$string['EVENT_START_STREAMING'] = 'Iniciouse a transmisión de vídeo';
$string['EVENT_STOP_STREAMING'] = 'A transmisión de vídeo foi detida';
$string['EVENT_SUSPENDED_CAMERA'] = 'Usuario / algún erro suspendeu a cámara';
$string['EVENT_TEST_PAUSED'] = 'O exame foi detido';
$string['EVENT_TEST_RESUMED'] = 'O exame foi retomado';
$string['config:add'] = 'Engadir';
$string['config:add_course'] = 'Engadir un curso';
$string['config:add_course_for_save'] = 'Para gardar';
$string['config:api_key'] = 'Chave da API';
$string['config:cms_api'] = 'API de CMS';
$string['config:course'] = 'Curso';
$string['config:courses'] = 'Cursos';
$string['config:courses_enabled'] = 'Cursos activados';
$string['config:events_api'] = 'API de eventos';
$string['config:import'] = 'Importar';
$string['config:import_students'] = 'Importar alumnado';
$string['config:import_students_desc'] = 'Use a caixa de abaixo para importar un ficheiro .CSV cos datos do seu alumnado, como';
$string['config:import_students_desc_link'] = 'este exemplo';
$string['config:import_students_file'] = 'Ficheiro CSV';
$string['config:keys'] = 'Chaves';
$string['config:list_courses'] = 'Lista';
$string['config:manage_courses'] = 'Xestionar cursos';
$string['config:no_courses'] = 'Engada un curso!';
$string['config:no_settings'] = 'Visite os <a href="{$a}">Axustes da páxina</a> para definir as súas credenciais antes de continuar.';
$string['config:password'] = 'Contrasinal';
$string['config:quiz'] = 'Proba';
$string['config:require_for_quiz'] = 'Precisase do complemento de E-Proctoring';
$string['config:save'] = 'Gardar';
$string['config:select_course'] = 'Seleccionar curso';
$string['config:select_quiz'] = 'Escoller o cuestionario';
$string['config:students_api'] = 'API de alumnado';
$string['config:total_students'] = 'Ten <strong>{$a}</strong> alumnos activados.';
$string['config:user'] = 'Usuario';
$string['edusyncheproctoring:edit_settings'] = 'Pode editar a configuración de E-Proctoring';
$string['edusyncheproctoring:enable_quiz'] = 'Pode activar o complemento de E-Proctoring';
$string['edusyncheproctoring:view_report'] = 'Pode ver os informes de E-Proctoring';
$string['error:general'] = 'Produciuse un erro: {$a}';
$string['error:unable_list_sessions'] = 'Non foi posíbel listar as sesións. Comprobe as súas credenciais na sección AXUSTES.';
$string['error:unable_session_details'] = 'Non foi posíbel obter os detalles da sesión';
$string['error:unable_session_events'] = 'Non foi posíbel obter eventos de sesión';
$string['misc:btn_next'] = 'Seguinte';
$string['misc:btn_prev'] = 'Anterior';
$string['misc:error'] = 'Erro';
$string['misc:label_total_pages'] = 'de {$a}';
$string['misc:no'] = 'Non';
$string['misc:success'] = 'Satisfactorio!';
$string['misc:yes'] = 'Si';
$string['navbar_menu:sessions'] = 'Sesións';
$string['navbar_menu:settings'] = 'Axustes';
$string['pluginname'] = 'EduSynch E-Proctoring';
$string['privacy:metadata:quizaccess_edusynch:antifraud_api'] = 'Usamos esta api-antifraude (antifraud_api) nosa para determinar se o usuario tentou abrir novas lapelas, afastou o foco do navegador ou realizou calquera outra acción que non estea permitida polo complemento para evitar fraudes.';
$string['privacy:metadata:quizaccess_edusynch:antifraud_api:email'] = 'Usamos o correo-e para almacenar o enderezo de correo-e do alumnado. Esta é a pedra angular da conta do alumnado, xa que a administración normalmente usa o enderezo de correo-e como o principal identificador único do alumnado.';
$string['privacy:metadata:quizaccess_edusynch:antifraud_api:firstname'] = 'Usamos o nome para almacenar o nome do alumnado na nosa base de datos. Isto é para que a administración poida seguir identificando ao alumno.';
$string['privacy:metadata:quizaccess_edusynch:antifraud_api:lastname'] = 'Usamos o apelido para almacenar o apelido do alumnado na nosa base de datos. Isto é para que a administración poida seguir identificando ao alumno.';
$string['session_report:back_to_list'] = 'Volver á lista';
$string['session_report:comments'] = 'Comentarios';
$string['session_report:completed'] = 'Completado';
$string['session_report:end_time'] = 'Hora de finalización';
$string['session_report:hour'] = 'Hora';
$string['session_report:incident:high'] = 'Alta';
$string['session_report:incident:invalid'] = 'Non válido';
$string['session_report:incident:low'] = 'Baixa';
$string['session_report:incident:medium'] = 'Medio';
$string['session_report:incident_level_changed'] = 'Nivel de incidencias cambiado satisfactoriamente!';
$string['session_report:log'] = 'Rexistro';
$string['session_report:no_logs'] = 'Non hai eventos para esta sesión';
$string['session_report:no_screens'] = 'Non hai capturas de pantalla para esta sesión';
$string['session_report:no_videos'] = 'Non hai vídeos para esta sesión';
$string['session_report:review_changed'] = 'Recensión da sesión actualizada!';
$string['session_report:screen_archive'] = 'Arquivo da pantalla';
$string['session_report:session_details'] = 'Detalles da sesión';
$string['session_report:session_updated'] = 'Sesión actualizada!';
$string['session_report:start_time'] = 'Hora de inicio';
$string['session_report:type'] = 'Tipo';
$string['session_report:video_archive'] = 'Arquivo de vídeo';
$string['sessions_list:actions'] = 'Accións';
$string['sessions_list:button'] = 'Ver os informes de EduSynch E-Proctoring';
$string['sessions_list:date'] = 'Data';
$string['sessions_list:id'] = 'ID';
$string['sessions_list:incident_level'] = 'Nivel de incidencias';
$string['sessions_list:no_quiz_enabled'] = 'Non hai cuestionarios activados para o E-Proctoring. Active polo menos un na páxina de AXUSTES';
$string['sessions_list:no_sessions'] = 'Non hai sesións rexistradas';
$string['sessions_list:reviewed'] = 'Revisadas';
$string['sessions_list:select_course_and_quiz'] = 'Seleccione o curso e o cuestionario a continuación para ver os informes';
$string['sessions_list:student'] = 'Alumna/o';
$string['sessions_list:title'] = 'Lista de sesións';
$string['sessions_list:total_number'] = 'Sesións totais';
$string['sessions_list:view_reports'] = 'Ver os informes';
