<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'quizaccess_wifiresilience', language 'gl', version '3.11'.
 *
 * @package     quizaccess_wifiresilience
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['answerchanged'] = 'A resposta cambiou';
$string['attempt'] = 'Intento';
$string['backtothequiz'] = 'Volver ao exame';
$string['changesmadereallygoaway'] = 'As súas respostas non foron gardadas no servidor. Confirma que quere abandonar este intento.';
$string['countrealofflinetime'] = 'Deducir o tempo sen conexión (se está dispoñible)';
$string['countrealofflinetime_help'] = 'Deducir o tempo sen conexión do tempo de intento baseado en «real_offline_time». O tempo de intento, e independentemente da opción (no formulario de abaixo) que escolla, será menos o tempo total sen conexión (tempo no que o usuario non foi quen de comezar a traballar en cuestións específicas por falta de internet).<br><br>Importante: Este valor xa está calculado no tempo de entrega final. Esta opción só funciona con intentos que non foron seleccionados como finalizados»';
$string['createasnewattempt'] = 'Crear como novo intento.';
$string['createasnewattempt_help'] = '***Amodo*** Crear como novo intento';
$string['createnewattempt'] = 'Crea un novo intento';
$string['currentissue'] = 'Cuestión actual';
$string['dangeryes'] = 'Si (<font color="red">Perigo!</font>)';
$string['dataprocessedsuccessfully'] = 'Datos procesados satisfactoriamente ({$a}).';
$string['decryptingcomplete'] = 'Completouse o descifrado do ficheiro';
$string['decryptingfile'] = 'Descifrando o ficheiro {$a}';
$string['delete'] = 'Eliminar';
$string['description'] = 'Este exame está en modo <strong>wifi resiliente</strong>.';
$string['descriptionlink'] = 'Enviar respostas exportadas';
$string['download'] = 'Descargar';
$string['downloadedecryptedfile'] = 'Descargar o ficheiro descifrado';
$string['downloadfile'] = 'Descargar como un ficheiro';
$string['excludelist'] = 'Excluír os ficheiros';
$string['excludelist_help'] = 'Ligazón/ficheiro por liña. Excluír ficheiros/ligazóns específicos da caché co traballador do servizo. Isto é útil cando quere que algúns ficheiros ou ligazóns estean en modo Só rede –NetworkOnly– (nunca se almacenan na caché).';
$string['extraroutes'] = 'Rutas extra';
$string['extraroutes_help'] = 'Engadir rutas adicionais ao traballador do servizo de exame. Engade rutas adicionais ao traballador do servizo de exames. Se quere que o traballador do servizo de exames [Wifiresilience-SW] capte rutas adicionais (extensións de ficheiros, enderezos web, etc.) e as trate de forma diferente cando cae a conexión, pode engadir como exemplo:<br>
<code>
// Non queremos máis de 1000 ficheiros con extensión «XYZ» na caché.<br />
// Comprobamos usando unha estratexia «primeiro a rede» (NetworkFirst).<br />
global.toolbox.router.get(/\\.(?:XYZ)$/, global.toolbox.<strong>networkFirst</strong>, {<br />
&nbsp;&nbsp;&nbsp;cache: {<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;name: «Wifiresilience-exams-<strong>XYZ</strong>», // Nome da base de datos local (indexedDb).<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;maxEntries: 1000, // Número máximo de ficheiros a gardar.<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;maxAgeSeconds: 86400 // Tempo máximo en segundos antes de que sexan eliminados/caducados.<br />
&nbsp;&nbsp;&nbsp;},<br />
&nbsp;&nbsp;&nbsp;origin: /\\ .googleapis\\.com$/ //Opcional, se os ficheiros están localizados fóra do dominio moodle.<br />
});<br />
</code>
<h2 id="options"><a class="anchorjs-link " href="#options" aria-label="Anchor link for: options" style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>Opcións de rutas</h2>

<p>Todas as opcións poden especificarse globalmente a través de propiedades de <code class="highlighter-rouge">toolbox.options</code>.
Calquera opción individual pode configurarse nunha base por manexador, a través do <code class="highlighter-rouge">obxecto</code> pasado como
terceiro parámetro aos métodos <code class="highlighter-rouge">toolbox.router</code>.</p>

<h3 id="debug-boolean"><a class="anchorjs-link " href="#debug-boolean" aria-label="Anchor link for: debug boolean"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>debug [Booleano]</h3>
<p>Determina se a información adicional está rexistrada na consola do navegador.</p>

<p><em>Predeterminado</em>: <code class="highlighter-rouge">false</code></p>

<h3 id="networktimeoutseconds-number"><a class="anchorjs-link " href="#networktimeoutseconds-number" aria-label="Anchor link for: networktimeoutseconds number"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>networkTimeoutSeconds [Número]</h3>
<p>Un tempo de espera que se aplica ao manexador incorporado <code class="highlighter-rouge">toolbox.networkFirst</code>.
Se se define <code class="highlighter-rouge">networkTimeoutSeconds</code>, entón calquera solicitude de rede que leve máis tempo que esa cantidade de tempo
volverá automaticamente á resposta en caché se existe. Cando
<code class="highlighter-rouge">networkTimeoutSeconds</code> non está definido, aplícase a lóxica nativa de tempo de espera de rede do navegador.</p>

<p><em>Predeterminado</em>: <code class="highlighter-rouge">null</code></p>

<h3 id="cache-object"><a class="anchorjs-link " href="#cache-object" aria-label="Anchor link for: cache object" style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>cache [Obxecto]</h3>
<p>Varias propiedades de <code class="highlighter-rouge">cache</code> controlan o comportamento da caché predeterminada cando se define a través
de <code class="highlighter-rouge">toolbox.options.cache</code>, ou a caché utilizada por un manexador de solicitudes específico.</p>

<h3 id="cachename-string"><a class="anchorjs-link " href="#cachename-string" aria-label="Anchor link for: cachename string"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>cache.name [Cadea]</h3>
<p>O nome da <a href="https://developer.mozilla.org/en-US/docs/Web/API/Cache" target="_blank"><code class="highlighter-rouge">cache</code></a>
úsase para almacenar obxectos da <a href="https://fetch.spec.whatwg.org/#response-class" target="_blank"><code class="highlighter-rouge">resposta</code></a>. O uso dun nome único
permítelle personalizar o tamaño máximo e a idade das entradas da caché.</p>

<p><em>Predeterminado</em>: Xérase en tempo de execución en función do valor <code class="highlighter-rouge">registration.scope</code> do traballador do servizo.</p>

<h3 id="cachemaxentries-number"><a class="anchorjs-link " href="#cachemaxentries-number" aria-label="Anchor link for: cachemaxentries number"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>cache.maxEntries [Número]</h3>
<p>Imponse unha directiva de caducidade de caché
menos recente para as entradas almacenadas en caché a través dos distintos manexadores integrados. Pode usar isto cunha caché dedicada
para almacenar entradas para un conxunto dinámico de recursos sen límite natural. Axustar <code class="highlighter-rouge">cache.maxEntries</code> como, p. ex.,
<code class="highlighter-rouge">10</code> significaría que após de que a entrada 11 se gardase en caché, a entrada menos usada recentemente
eliminaríase automaticamente. A caché nunca debe acabar crecendo máis aló das entradas <code class="highlighter-rouge">cache.maxEntries</code>.
Esta opción só terá efecto se tamén se define <code class="highlighter-rouge">cache.name</code>
Pódese usar só ou en conxunto con <code class="highlighter-rouge">cache.maxAgeSeconds</code>.</p>

<p><em>Predeterminado</em>: <code class="highlighter-rouge">null</code></p>

<h3 id="cachemaxageseconds-number"><a class="anchorjs-link " href="#cachemaxageseconds-number" aria-label="Anchor link for: cachemaxageseconds number"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>cache.maxAgeSeconds [Número]</h3>
<p>Impón unha idade máxima para as entradas da caché, en segundos.
Pode usar isto cunha caché que se dedica a almacenar entradas para un conxunto dinámico de recursos
sen límite natural. Axustar <code class="highlighter-rouge">cache.maxAgeSeconds</code> como, p. ex., <code class="highlighter-rouge">60 * 60 * 24</code> significaría que calquera
entrada máis antiga que un día sería automaticamente eliminada.
Esta opción só terá efecto se tamén se define <code class="highlighter-rouge">cache.name</code
Pódese usar só ou xunto con <code class="highlighter-rouge">cache.maxEntries</code>.</p>

<p><em>Predeterminado</em>: <code class="highlighter-rouge">null</code></p>

<h2 id="handlers"><a class="anchorjs-link " href="#handlers" aria-label="Anchor link for: handlers"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>Manexadores</h2>

<p>Hai cinco manexadores integrados para cubrir as estratexias de rede máis comúns. Para obter máis información sobre as estratexias sen conexión, consulte o <a href="http://jakearchibald.com/2014/offline-cookbook/">Libro de receitas sen conexión</a>.</p>

<h3 id="toolboxnetworkfirst"><a class="anchorjs-link " href="#toolboxnetworkfirst" aria-label="Anchor link for: toolboxnetworkfirst"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.networkFirst</code></h3>
<p>Tenta xestionar a solicitude obténdoa da rede. Se ten éxito, almacena a resposta na caché. En caso contrario, tenta cumprir a solicitude dende a caché. Esta é a estratexia a usar para a caché básica de lectura. Tamén é axeitado para as solicitudes de API nas que sempre quere os datos máis actualizados cando estean dispoñíbeis, mais prefire ter datos obsoletos a non ter ningún.</p>

<h3 id="toolboxcachefirst"><a class="anchorjs-link " href="#toolboxcachefirst" aria-label="Anchor link for: toolboxcachefirst"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.cacheFirst</code></h3>
<p>Se a solicitude coincide cunha entrada da caché, responde con iso. En caso contrario, tenta obter o recurso de rede. Se a solicitude de rede ten éxito, actualiza a caché. Esta opción é boa para os recursos que non cambian ou teñen algún outro mecanismo de actualización.</p>

<h3 id="toolboxfastest"><a class="anchorjs-link " href="#toolboxfastest" aria-label="Anchor link for: toolboxfastest"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.fastest</code></h3>
<p>Solicita o recurso tanto da caché como da rede en paralelo. Responde co que devolva primeiro. Normalmente esta será a versión en caché, se hai unha. Por unha banda esta estratexia sempre fará unha solicitude de rede, aínda que o recurso estea en caché. Por outra banda, se/cando se completa a solicitude de rede actualízase a caché, polo que as futuras lecturas da caché estarán máis actualizadas.</p>

<h3 id="toolboxcacheonly"><a class="anchorjs-link " href="#toolboxcacheonly" aria-label="Anchor link for: toolboxcacheonly"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.cacheOnly</code></h3>
<p>Resolver a solicitude da caché ou fallar. Esta opción é boa para cando precisa garantir que non se fará ningunha solicitude de rede, por exemplo para aforrar batería no móbil.</p>

<h3 id="toolboxnetworkonly"><a class="anchorjs-link " href="#toolboxnetworkonly" aria-label="Anchor link for: toolboxnetworkonly"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.networkOnly</code></h3>
<p>Manexa a solicitude tentando obter o URL da rede. Se a obtención falla, falla a solicitude. Esencialmente o mesmo que non crear unha ruta para o URL.</p>

<h2 id="expressive-approach"><a class="anchorjs-link " href="#expressive-approach" aria-label="Anchor link for: expressive approach"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a>Métodos</h2>

<h3 id="toolboxroutergetpostputdeleteheadurlpattern-handler-options"><a class="anchorjs-link " href="#toolboxroutergetpostputdeleteheadurlpattern-handler-options" aria-label="Anchor link for: toolboxroutergetpostputdeleteheadurlpattern handler options"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.router.&lt;get|post|put|delete|head&gt;(urlPattern, handler, options)</code></h3>

<p>Crea unha ruta que fai que as solicitudes de URL que coincidan con <code class="highlighter-rouge">urlPattern</code> se resolvan chamando ao <code class="highlighter-rouge">manexador</code>. Coincide coas solicitudes que utilizan os métodos GET, POST, PUT, DELETE ou HEAD HTTP respectivamente.</p>

<ul>
  <li><code class="highlighter-rouge">urlPattern</code> - unha ruta de estilo expreso. Consulte a documentación do <a href="https://github.com/pillarjs/path-to-regexp"  target="_blank">path-to-regexp</a> módulo para ver a sintaxe completa</li>
  <li><code class="highlighter-rouge">handler</code> - un manexador de solicitudes, como <a href="#handlers">se describe anteriormente</a></li>
  <li><code class="highlighter-rouge">options</code> - un obxecto que contén opcións para a ruta. Este obxecto de opcións pasarase ao manexador de solicitudes. A opción <code class="highlighter-rouge">origin</code> é específica dos métodos do enrutador e pode ser unha cadea exacta ou unha expresión regular coa que debe coincidir a orixe da solicitude para que se use a ruta.</li>
</ul>

<h3 id="toolboxrouteranyurlpattern-handler-options"><a class="anchorjs-link " href="#toolboxrouteranyurlpattern-handler-options" aria-label="Anchor link for: toolboxrouteranyurlpattern handler options"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.router.any(urlPattern, handler, options)</code></h3>
<p>Como <code class="highlighter-rouge">toolbox.router.get</code>, etc., mais coincide con calquera método HTTP.</p>

<h3 id="toolboxrouterdefault"><a class="anchorjs-link " href="#toolboxrouterdefault" aria-label="Anchor link for: toolboxrouterdefault"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.router.default</code></h3>
<p>Toma unha función para usar como manexador de solicitudes para calquera solicitude GET que non coincida cunha ruta.</p>

<h3 id="toolboxprecachearrayofurls"><a class="anchorjs-link " href="#toolboxprecachearrayofurls" aria-label="Anchor link for: toolboxprecachearrayofurls"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.precache(arrayOfURLs)</code></h3>
<p>Engade cada URL en «arrayOfURLs» á lista de recursos que se deben almacenar na caché durante o paso de instalación do traballador do servizo. Teña en conta que debe chamarse antes de que se active o evento de instalación, polo que debería facelo na primeira execución do seu script.</p>

<h3 id="toolboxcacheurl-options"><a class="anchorjs-link " href="#toolboxcacheurl-options" aria-label="Anchor link for: toolboxcacheurl options"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.cache(url, options)</code></h3>
<p>Fai que o recurso no <code class="highlighter-rouge">url</code> se engada á caché e devolva unha Promesa que se resolve con «void». O parámetro <code class="highlighter-rouge">options</code> admite as <a href="#options">opcións globais</a> <code class="highlighter-rouge">debug</code> e <code class="highlighter-rouge">cache</code>.</p>

<h3 id="toolboxuncacheurl-options"><a class="anchorjs-link " href="#toolboxuncacheurl-options" aria-label="Anchor link for: toolboxuncacheurl options"  style="font-style: normal; font-variant: normal; font-weight: normal; font-stretch: normal; font-size: 1em; line-height: inherit; font-family: anchorjs-icons; position: absolute; margin-left: -1em; padding-right: 0.5em;"></a><code class="highlighter-rouge">toolbox.uncache(url, options)</code></h3>
<p>Fai que o recurso no code class="highlighter-rouge">url</code> se elimine da caché e devolva unha Promesa que se resolve como «verdadeira». O parámetro <code class="highlighter-rouge">options</code> admite as <a href="#options">opcións globais</a> <code class="highlighter-rouge">debug</code> e <code class="highlighter-rouge">cache</code>.</p>';
$string['fetchandlog'] = 'Caché de ficheiros incrustados (anexos)';
$string['fetchandlog_help'] = 'Un por liña. Se quere almacenar na caché os anexos (de calquera tipo estático; é dicir, docx, pdf, xls, zip, html, etc.) que estean incrustados nalgunhas preguntas como recurso adicional ou para lecturas posteriores, engada os URL completos que quere que sexan almacenados na caché. Exemplo: https://exemplo.org/instrucions.docx almacenará na caché instrucions.docx que está incrustado nas preguntas. Normalmente os anexos dos exames teñen «pluginfile.php» dentro da ligazón. Teña en conta que, para os dominios de orixe cruzada (dominios remotos ou subdominios diferentes, asegúrese de que ambos se serven a través de https, e tamén eses dominios permiten CORS. Importante: esta opción pode anular os principios de seguridade das comunicacións entre dominios, polo que úseo amodo ou mellor use só ficheiros aloxados localmente no mesmo dominio';
$string['filearraystyle'] = '<br><h3>Estilo matriz</h3>';
$string['fileencryptedinitvaluenobase64'] = 'O valor inicial de cifrado non está codificado correctamente en base-64.';
$string['fileencryptedkeynobase64'] = 'A chave AES de cifrado non está codificado correctamente en base-64.';
$string['fileinitvaluenobase64'] = 'O valor inicial non está codificado correctamente en base-64.';
$string['filejsondecode'] = 'Descodificación de datos JSON: {$a}';
$string['filejsondecodeerror'] = 'Produciuse un erro de JSON: {$a}';
$string['filekeynobase64'] = 'A chave AES non está codificado correctamente en base-64.';
$string['filenoattemptid'] = 'Os datos enviados non incluíron un ID de intento.';
$string['filenoattemptidupload'] = 'Este ficheiro non parece ter un ID de intento cifrado (attemptid). Seleccionou tomar o ID de intento do parámetro JSON non cifrado, desmarque a opción e ténteo de novo.';
$string['filenodecryptionkey'] = 'Obtivo respostas aparentemente cifradas, mais non hai chave de descifrado.';
$string['filenoresponses'] = 'Este ficheiro non parece conter respostas.';
$string['filenoturlencoded'] = 'O ficheiro de datos non está codificado por URL. Usar os datos como están.';
$string['filetype'] = 'Tipo';
$string['fileunabledecrypt'] = 'Non foi posíbel descifrar as respostas: {$a}';
$string['fileunabledecryptkey'] = 'Non foi posíbel descifrar a chave AES: {$a}';
$string['fileurlencoded'] = 'O ficheiro de datos está codificado por URL. Use os datos descodificados por URL.';
$string['filewithkeyandiv'] = '<br><h3>Estilo orixinal (cen CHAVE e IV)</h3>"';
$string['filewithoutkeyandiv'] = '<br><h3>Estilo orixinal (sen CHAVE ou IV) - Axeitado para usar noutras instancias de Moodle ou cando as chaves públicas e privadas están estragadas.</h3>';
$string['filewrongquiz'] = 'Os datos enviados non pertencen a este exame.';
$string['finishattemptsafterupload'] = 'Queres entregar e rematar o intento contido no ficheiro de resposta?';
$string['fromfile'] = 'Hora de entrega no ficheiro enviado';
$string['inspect'] = 'Inspeccionar os ficheiros de resposta';
$string['inspectingfile'] = 'Inspeccionando o ficheiro {$a}';
$string['inspectingfiledesc'] = 'Aquí pode descifrar ficheiros de emerxencia e cifralos de novo. Use esta ferramenta con precaución. A ferramenta de inspección está construída para ofrecer á administración do exame a opción de modificar os intentos de exame; como, pero non limitado a, ID do curso, ID do exame, hora de entrega, modificación de respostas, etc.';
$string['inspectionprocessedsuccessfully'] = 'Datos enviados satisfactoriamente ({$a}).';
$string['lastsaved'] = 'Último gardado: {$a}';
$string['lastsavedtotheserver'] = 'Último gardado no servidor: {$a}';
$string['lastsavedtothiscomputer'] = 'Último gardado neste computador: {$a}';
$string['lastseen'] = 'Visto por última vez';
$string['lastsync'] = 'Última sincronización';
$string['livedevices'] = 'Dispositivos en directo';
$string['loadingstep1'] = 'Configurar {$a}';
$string['loadingstep10'] = 'Inicio do exame…';
$string['loadingstep2'] = 'Preparación da estrutura do exame…';
$string['loadingstep3'] = 'Preparación de rutas estáticas e dinámicas do traballador do servizo…';
$string['loadingstep4'] = 'Preparación da base de datos do exame…';
$string['loadingstep5'] = 'Preparación das preguntas do exame…';
$string['loadingstep6'] = 'Preparación da navegación do exame…';
$string['loadingstep7'] = 'Cifrado dos datos do exame…';
$string['loadingstep8'] = 'Verificación do estado da rede…';
$string['loadingstep9'] = 'Ver as solicitudes de rede en directo…';
$string['loadlocalresponses'] = 'Comprobar, descargar, gardar ou eliminar as respostas almacenadas <strong>neste</strong> computador';
$string['localconfirmdeletelocal'] = 'Confirma que quere eliminar o rexistro local de resposta: {$a}?';
$string['localconfirmdeletestatus'] = 'Confirma que quere eliminar o rexistro de estado: {$a}?';
$string['localnorecordsfound'] = 'Non se atoparon rexistros locais';
$string['localresponsesfor'] = 'Respostas almacenadas nesta máquina local por {$a}';
$string['localstorage'] = '<br>Almacenamento local:';
$string['localtabledelete'] = 'Eliminar';
$string['localtabledownload'] = 'Descargar';
$string['localtableheaderattempts'] = '<h3>indexedDB / WebSQL (estado dos intentos)</h3>';
$string['localtableheaderencryptedattempts'] = '<h3>indexedDB / WebSQL (intentos cifrados)</h3>';
$string['localtableinfo'] = 'Os resultados son SÓ para a CHAVE: {$a->startwithkey} (Exame: <strong>{$a->name}</strong>)';
$string['localtablelastchangelocal'] = 'Último cambio local';
$string['localtablelastsavedserver'] = 'Último gardado no servidor';
$string['localtablerecord'] = 'Gravación';
$string['loggedinaswronguser'] = 'Accedeu cunha conta distinta da que estaba tentando o cuestionario. Isto non funcionará. Prema en Continuar para acceder de novo co usuario correcto.';
$string['logindialogueheader'] = 'É posíbel que necesites acceder de novo';
$string['loginokagain'] = 'O seu acceso agora é correcto';
$string['navdetails'] = 'Amosar o estado do servidor e do dispositivo';
$string['navdetails_help'] = 'Amosar o estado do servidor e do dispositivo a última vez que se gardaron os datos (localmente e no servidor). Tamén amosa detalles de estado en liña (se o dispositivo/servidor está conectado ou non). Así mesmo amosa unha ligazón para a descarga de ficheiros de emerxencia.';
$string['now'] = 'Agora';
$string['or'] = 'ou';
$string['pluginname'] = 'Exame en modo wifi resiliente';
$string['precachefiles'] = 'Prealmacenado de ficheiros (na caché)';
$string['precachefiles_help'] = 'Só ficheiros estáticos. Unha ligazón por liña. Se desexa que o traballador do servizo prealmacene na caché ficheiros específicos (só ficheiros estáticos; é dicir, css, jpg, html etc.), engada a ligazón directa para eles, un por liña. Nota: Os URL prealmacenados serán servidos automaticamente usando unha estratexia de «primeiro na caché».';
$string['prechecks'] = 'Amosar as comprobacións técnicas';
$string['prechecks_help'] = 'Esta opción amosará os detalles técnicos do navegador antes de comezar o exame. Os controis son para traballadores de servizos, almacenamento local, solicitude de aumento do almacenamento local e outros.';
$string['privatekey'] = 'Chave privada de cifrado';
$string['privatekey_desc'] = 'Pode usar a criptografía de chave pública para protexer as respostas descargadas. Para iso, cómpre fornecer un par de chaves privada/pública. Pode xerar unha chave privada usando <code>openssl genrsa -out rsa_1024_priv.pem 1024</code> na liña de ordes (se ten instalado OpenSSL dende https://www.openssl.org/). A continuación, pegue o contido do ficheiro rsa_1024_priv.pem nesta caixa.';
$string['processingcomplete'] = 'Procesado completo';
$string['processingfile'] = 'Procesando o ficheiro {$a}';
$string['publickey'] = 'Chave pública de cifrado';
$string['publickey_desc'] = 'Isto debe corresponder á chave privada. Pode xerala a partir a chave privada usando <code>openssl rsa -pubout -in rsa_1024_priv.pem -out rsa_1024_pub.pem</code> e após pegar o contido de rsa_1024_pub.pem aquí.';
$string['quizfinishtime'] = 'Límite de tempo para exame (tempo máximo permitido para o exame)';
$string['reference'] = 'Referencia';
$string['refreshserviceworker'] = 'Traballador do servizo de actualización';
$string['resetserviceworker'] = 'Restablecer o traballador do servizo';
$string['responsefiles'] = 'Ficheiros de resposta';
$string['responsefiles_help'] = 'Durante un intento de exame pode descargar un ficheiro de resposta premendo na icona de estado da conexión de rede sen fíos escintilante. Pode facer isto varias veces para gardar diferentes versións do seu ficheiro de resposta. O nome do ficheiro contén o prefixo Wifiresilience, data e marca de tempo e a extensión .eth. (exemplo: Wifiresilience-crs229-cm643-id558-u8-a25197-d201803010842.eth). Se non se configura doutro xeito o ficheiro gárdase no «cartafol de descarga».';
$string['reviewthisattempt'] = 'Revisar este intento';
$string['rule1error'] = '1. <font color=red>[Wifiresilience-SW] Este navegador non admite o traballador do servizo. <span id="sw_kind"></span></font>';
$string['rule1fail'] = '1. <font color=red>[Wifiresilience-SW] Produciuse un fallo no rexistro do traballador do servizo. Erro: {$a} <span id="sw_kind"></span></font>';
$string['rule1start'] = '1. <font color=grey>[Wifiresilience-SW] Wifiresilience-exams-sw.js está rexistrando…</font>';
$string['rule1statusactive'] = '(Estado: activo)';
$string['rule1statusinstalling'] = '(Estado: instalando';
$string['rule1statuswaiting'] = '(Estado: agardando)';
$string['rule1success'] = '1. <font color=green>[Wifiresilience-SW] O rexistro do traballador do servizo foi satisfactorio. <span id="sw_kind"></span>';
$string['rule2error'] = '<br>2. <font color=red>[Wifiresilience-SW] IndexedDB non é compatíbel.</font>';
$string['rule2start'] = '<br>2. <font color=grey>[Wifiresilience-SW] Descoñecese a compatibilidade de IndexedDB.</font>';
$string['rule2success'] = '<br>2. <font color=green>[Wifiresilience-SW] IndexedDB é compatíbel.</font>';
$string['rule3error'] = '<br>3. <font color=red>[Wifiresilience-SW] O almacenamento pode ser despexado pola UA baixo presión de almacenamento (só rexistros antigos).</font>';
$string['rule3start'] = '<br>3. <font color=grey>[Wifiresilience-SW] Descoñécese a persistencia de almacenamento.</font>';
$string['rule3success'] = '<br>3. <font color=green>[Wifiresilience-SW] O almacenamento non se limpará salvo por acción explícita do usuario.</font>';
$string['rule4error'] = '<br>4. <font color=red>[Wifiresilience-SW] Non se pode calcular o almacenamento do navegador.</font>';
$string['rule4fail'] = '<br>4. <font color=red>[Wifiresilience-SW] Non se pode calcular o almacenamento do navegador (webkitTemporaryStorage).</font>';
$string['rule4start'] = '<br>4. <font color=grey>[Wifiresilience-SW] Coñécese a actual cota de almacenamento dispoñíbel.</font>';
$string['rule4success'] = '<br>4. <font color=green>[Wifiresilience-SW] O almacenamento do navegador xa usa {$a-> usedbytes} de {$a->grantedbytes}</font>';
$string['rule5error'] = '<br>5. <font color=red>[Wifiresilience-SW] Produciuse un fallou na solicitude de cota de almacenamento adicional (1GB).</font>';
$string['rule5fail'] = '<br>5. <font color=red>[Wifiresilience-SW] Produciuse un fallou na solicitude de cota de almacenamento adicional (1GB). webkitPersistentStorage non está admitido.</font>';
$string['rule5start'] = '<br>5. <font color=grey>[Wifiresilience-SW] Descoñécese a solicitude de cota de almacenamento adicional (menos do almacenamento dispoñíbel).</font>';
$string['rule5success'] = '<br>5. <font color=green>[Wifiresilience-SW] A solicitude de cota de almacenamento adicional (1GB) foi satisfactoria.</font>';
$string['rule6error'] = '<br>6. <font color=red>[Wifiresilience-SW] Non está admitida a CacheAPI.</font>';
$string['rule6start'] = '<br>6. <font color=grey>[Wifiresilience-SW] Solicitar información sobre a cacheAPI, estado: descoñecido.</font>';
$string['rule6success'] = '<br>6. <font color=green>[Wifiresilience-SW] A CacheAPI está admitida.</font>';
$string['rule7error'] = '<br>7. <font color=red>[Wifiresilience-SW] A sincronización de fondo non está admitida.</font>';
$string['rule7start'] = '<br>7. <font color=grey>[Wifiresilience-SW] Solicitando información sobre a sincronización de fondo, estado: descoñecido.</font>';
$string['rule7success'] = '<br>7. <font color=green>[Wifiresilience-SW] A sincronización de fondo está admitida.</font>';
$string['rulebgsyncfail'] = 'Produciuse un fallo na sincronización do fondo.';
$string['rulebgsyncsuccess'] = 'A sincronización do fondo disparouse satisfactoriamente.';
$string['rulebgsyncsupported'] = 'Non se admite a sincronización de fondo.';
$string['ruleswnotregisteredreset'] = 'O traballador do servizo non está rexistrado (Pode ter erros, ou non estar incluído neste ámbito da páxina, ou xa foi dado de baixa), non pode restabelecelo agora.';
$string['ruleswnotregisteredstop'] = 'O traballador do servizo non está rexistrado (Pode ter erros, ou non estar incluído neste ámbito da páxina, ou xa foi dado de baixa), non pode detelo agora.';
$string['ruleswnotregisteredupdate'] = 'O traballador do servizo non está rexistrado (Pode ter erros, ou non estar incluído neste ámbito da páxina, ou xa foi dado de baixa), non pode actualizalo agora.';
$string['savefailed'] = 'NOTA: De cando en vez debería:';
$string['savetheresponses'] = 'Descargar copia de respostas';
$string['savingdots'] = 'Gardando no servidor…';
$string['savingtryagaindots'] = 'Tentando de novo gardar no servidor…';
$string['serviceworkermgmt'] = 'Xestión do traballador do servizo';
$string['status'] = 'Estado';
$string['stopserviceworker'] = 'Deter o traballador do servizo';
$string['submitallandfinishtryagain'] = 'Entregar todo e finalizar (ténteo de novo)';
$string['submitfailed'] = 'Produciuse un fallo ao entregar o exame';
$string['submitfaileddownloadmessage'] = '<br /><strong>Ou</strong><br />{$a}<br />(Nota: NON se perderon datos. Fágallo saber ao vixilante do exame quen collerá unha copia do ficheiro descargado e procesarao.)';
$string['submitfailedmessage'] = 'Non foi posíbel entregar as súas respostas. Podede probar:';
$string['submitting'] = '<h3>Entregando… agarde…</h3>';
$string['syncedfiles'] = 'Ficheiros de resposta sincronizados en segundo plano';
$string['syncserviceworker'] = 'Disparar a sincronización do fondo';
$string['takeattemptfromjson'] = 'Usar o ID de intento non cifrado';
$string['takeattemptfromjson_help'] = '*** LEA ATENTAMENTE*** Se un intento xa está estragado ou se quere crear un novo intento de continuar nel e evitar problemas de integridade da secuencia de preguntas, entón use esta opción con moito tino!. Teña en conta que o ID de intento aínda necesita coincidir cun intento real, xa sexa creado antes, ou simplemente creado polo administrador (conectado como alumno) para crear un  intento e construír sobre el (para enviar o ficheiro de resposta orixinal do alumno - ficheiro de emerxencia - necesitamos un intento válido).<br /><br /><font color="red">NON marque esta caixa a non ser que entenda perfectamente como se xestionan os intentos!</font>';
$string['techerrors'] = 'Amosar os erros técnicos';
$string['techerrors_help'] = 'Esta característica é útil para comprender o motivo técnico subxacente do fracaso da entrega do exame. Só amosa o erro na parte inferior da páxina de envío se hai algún.';
$string['technicalchecks'] = 'Comprobacións de almacenamento do navegador actual';
$string['technicalinspection'] = 'Inspección Técnica:<br>';
$string['testencryption'] = 'Dispositivo de proba e cifrado do servidor';
$string['uploadfailed'] = 'Fallou o envío';
$string['uploadfinishtime'] = 'Hora da tentativa/entrega';
$string['uploadingresponsesfor'] = 'Enviando respostas para {$a}';
$string['uploadinspection'] = 'Inspeccionar as respostas';
$string['uploadinspectionfor'] = 'Inspeccionar as respostas para {$a}';
$string['uploadmoreresponses'] = 'Enviar máis respostas';
$string['uploadresponses'] = 'Enviar os ficheiros de resposta';
$string['uploadresponsesadmin'] = 'Os administradores poden:';
$string['uploadresponsesfor'] = 'Enviar o ficheiro de resposta para {$a}';
$string['usefinalsubmissiontime'] = 'Usar a hora de entraga final do ficheiro (se está dispoñíbel)';
$string['usefinalsubmissiontime_help'] = 'Cando o usuario tenta entrgar e finalizar o exame (ou se é entregado automaticamente ao final polo temporizador do exame), engádese ao ficheiro un parámetro chamado «final_submission_time» que amosa cando se produciu o envío. Se non se produciu ningún envío final, o valor para «final_submission_time» é 0. Se é 0, entón o script ignorará este parámetro e utilizará unha das opcións de finalización que aparecen a continuación.';
$string['watchxhr'] = 'Ver eventos en directo';
$string['watchxhr_help'] = 'Un URL por liña. Algúns tipos de preguntas requiren comprobacións ou envíos en directo co servidor. Se se engaden aquí, o complemento será quen de contar o tempo sen conexión para o usuario, e, a continuación, engadilo automaticamente ao tempo extra total que obteñen para que rematen o exame con tempo de graza preciso ou límite de tempo.';
$string['webserviceaddtoken'] = 'Engada o testemuño no complemento <a href="{$a->wwwroot}/admin/settings.php?section=modsettingsquizcatwifiresilience ">nivel do complemento</a>, ou wwwroot<a href="{$a->}/course/modedit.php?update= {$a-> quizcmid}& return=1">nivel do exame</a> (Na configuración do exame. Ten maior prioridade que a nivel de sitio).';
$string['webservicedisabled'] = 'Os servizos web non están activados. A sincronización de fondo (enviar automaticamente copias de resposta de emerxencia do alumnado ao servidor) non funcionará sen Mobile Web Services. Pode solucionar o problema mediante:<br>';
$string['webserviceenablemobile'] = 'Activar os servizos web dende <a href="{$a}/admin/search.php?query=enablewebservices">aquí</a>';
$string['wifiresilience:adminmessages'] = 'Ver mensaxes de administración';
$string['wifiresilience:browserchecks'] = 'Ver as comprobacións do navegador';
$string['wifiresilience:inspectresponses'] = 'Inspeccionar as respostas';
$string['wifiresilience:localresponses'] = 'Inspeccionar as respostas locais (almacenamento local)';
$string['wifiresilience:uploadresponses'] = 'Enviar os ficheiros de resposta';
$string['wifiresilience:viewlivedevices'] = 'Ver os dispositivos en directo';
$string['wifiresilience:viewtechchecks'] = 'Ver as comprobacións técnicas (mesmo cando esta opción está desactivada a través da configuración do exame)';
$string['wifiresilienceenabled'] = 'Modo wifi resiliente';
$string['wifiresilienceenabled_desc'] = 'Pode configurar se o modo de resiliencia Wifi debe estar activado de xeito predeterminado para novos exames ou non.';
$string['wifiresilienceenabled_help'] = 'O obxectivo desta opción é deixar que o alumnado tente un exame aínda que a conexión de rede non sexa fiábel. O alumnado pode moverse entre as páxinas do exame aínda que o servidor non estea dispoñíbel, e todas as súas respostas son almacenadas localmente, e enviadas ao servidor cando sexa posible.';
$string['wifitoken'] = 'Testemuño  de sincronización de fondo';
$string['wifitoken_help'] = 'Testemuño do servizo web para enviar ficheiros de emerxencia en segundo plano cando o dispositivo está conectado. Este testemuño pode xerarse a partir de (Buscar «webservicetokens» / xestionar testemuños) nas páxinas de administración do sitio.';
